/******************************************************************
** cmap.h : Datatypes and constants used by the programme        **
**                                                               **
** Special Requirements: WorkBench 2.0, version 36 or above      **
******************************************************************/

#ifndef	CMAP_H
#define	CMAP_H

/* Some constant definitions */
#define	MIN_VERSION			36L
#define	CHARMAP_VERSION	"1.4"
#define	CHARMAP_DATE		"28/12/1999"

/* To init the charset, depending how many chars are defined in a font: */
#define	Init_charset(textfont)		CharsetNum=(textfont->tf_LoChar>=32?2:1);

/* To get access easily to StringInfo struct: */
#define	sti(gad)							((struct StringInfo *)gad->SpecialInfo)

/* To access error mesages table: */
#define ErrMsg(num)		Errors[ num-MSG_BADOS ]

/* Different values, to handle the recessed box while pressing lmb: */
#define	KEYB_CONTROL		-1
#define	NOT_PRESSED			 0
#define	PRESSED				 1
#define	OUTSIDE_AREA		 2
#define	EVT_HOTKEY			 1L

/* NewMenu entries for Charset and Font type: */
#define	NM_FONTTYPE			 2
#define	NM_CHARSET			 7

/* Charset type: */
#define	ASCII_8BITS			 0
#define	ISO_LATIN			 1
#define	STD_AMIGA			 2
#define	NUM_CHARSET			 3

#endif
